Subject: Re: [X2Go-Dev] XSession-x2go: Hostname not set correctly

From: Mihai Moldovan <[email-masked]>
Date: Sat, 13 Aug 2016 19:12:51 +0200

Control: tag -1 moreinfo

On 13.08.2016 04:28 PM, Benjamin Shadwick wrote:
> Package: x2goserver-xsession
> Version 4.1.0.0-0~1355~ubuntu16.04.1
> 
> When trying to start an LXDE x2go session on an Ubuntu 16.04.1 LTS x64
> server via a Windows client, I get a black screen with a white dialog
> saying "XSession-x2go: Hostname not set correctly; aborting."
> 
> Debug logging doesn't have much more detail:
> 
> Aug 13 07:20:55 shodan /usr/bin/x2gocmdexitmessage: command output
> starts with: exec startlxde Loading profile from /etc/profile Loading
> profile from /home/ben/.profile XSession-x2go: Hostname not set
> correctly; aborting.

Hey, that was quick. I only made that change yesterday.

As the error message says, your system's host name (as returned by the
hostname(1) shell utility) is not set correctly. What is its value?

An empty hostname ("") or a hostnames with the values "(none)" or "localhost"
are all considered to be invalid.

While I could consider "localhost" to be a valid hostname to some degree, it's
not unique enough so that, if the home dir is shared via NFS and multiple
machines with the hostname "localhost" access it, the log/error file (which
is now supposed to be unique per machine) wouldn't be really per-machine anymore.

Would including the "banned" hostnames be more informative to the user?

Mihai